## tdom 0.8.3

=== debian/changelog ===
tdom (0.8.3-1) unstable; urgency=low

  * Team upload.

  [ Hector Romojaro ]
  * Switch to dpkg-source 3.0 (quilt) format. Closes: #667859

  [ Andrew Shadura ]
  * Apply upstream patches:
    - Compatibility with Tcl 8.6.
    - The XPath function element-available() should, according to
      the rec, return true "if and only if the <argument> is the name
      of an instruction". That is, not for all known XSLT elements.
    - Added missing space in target pkgIndex.tcl-hand. Thanks to
      Gustaf Neumann for reporting the problem and providing a fix.
    - Fixed wrong size on memcpy on 64 bit (when sizeof(int)!=sizeof(int*))
    - Fix for possible DoS attack (see CVE-2009-3720)
  * Fix Vcs-* fields.
  * Use debhelper 9 compatibility mode.
  * Bump Standards-Version to 3.9.4.
  * Add ${misc:Depends} to tdom-dev.
  * Update the package description.
  * Update the homepage.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 25 Jun 2013 09:33:14 +0200

tdom (0.8.3~20080525-3+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing kfreebsd.dpatch line (closes: #692299).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 30 Nov 2012 01:20:05 +0000

tdom (0.8.3~20080525-3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a binary-indep rule (fixes ftp-master autoreject).
  * Support kfreebsd in configure scripts (closes: #692299). 

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 22 Nov 2012 07:30:32 +0000

tdom (0.8.3~20080525-3) unstable; urgency=low

  * Checked for lintian sanity (v2.2.12)
  * Added a debian/watch file for the sake of completeness, though
    there are no upstream releases to expect
  * Bumped the debhelper compat from 4 to 5
  * Bumped standards version to 3.8.2
  * Fixed debian/control for some redundant because inherited fields
    between the source and the binary packages
  * Fixed debian/copyright to point to the GPLv2 explicitly for the
    packaging copyright
  * Included tnc and tdomhtml extensions (closes: Bug#344122)

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Sun, 21 Jun 2009 22:16:58 +0200

tdom (0.8.3~20080525-2) unstable; urgency=medium

  [ Sergei Golovan ]
  * Adding tcltk-depends for resolving Tcl dependencies 

  [ Stefan Sobernig ]
  * Pollishing debian/copyright for policy compliance as requested by
    ftp-masters

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Sun, 08 Jun 2008 12:43:35 +0200

tdom (0.8.3~20080525-1) unstable; urgency=low

  * New maintainer (closes: Bug#471522)
  * New upstream release, based on CVS export of unreleased 0.8.3 version
    from cvs.tdom.org (closes: Bug#413841)
  * Fixing clean target in debian/rules, turning it less verbose and
    making call to upstream distclean target conditional
  * Generalised build dependencies in source package to tcl-dev and
    changed --with-tcl path accordingly
  * Taking care of arch-independent file tdom.tcl
  * Adding a dedicated tdom-dev binary package
  * Fixed description of tdom binary package
  * Added missing debian/control information
  * Adding support for shared expat (--with-expat configure flag, cross-
    compatibility for expat 1.95.* and 2.*), captured in
    debian/patches/shared-expat.dpatch

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Sun, 01 Jun 2008 14:30:55 +0400

tdom (0.7.8-5) unstable; urgency=low

  * QA Upload (Ack NMU; Closes: #353851)
  * Set Maintainer to QA Group; Orphaned: #383657
  * Adjust Description (Closes: #300048)
  * Remove config.log on clean
  * Conforms to latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Sun,  3 Sep 2006 11:57:25 +0200

tdom (0.7.8-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * tclconfig/tcl.m4, extensions/example/tcl.m4: Fixed shell syntax error.
    Closes: #353851.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 18 Mar 2006 21:35:41 +0000

tdom (0.7.8-4) unstable; urgency=low

  * Added tcl8.4-dev build depend.
  * Bug fix: "tdom: FTBFS: Missing Build-Depends", thanks to Daniel
    Schepler (Closes: #233136).

 -- David N. Welton <davidw@debian.org>  Tue, 17 Feb 2004 18:59:15 +0100

tdom (0.7.8-3) unstable; urgency=low

  * Added full texts of MPL and Expat licenses.

 -- David N. Welton <davidw@debian.org>  Wed,  4 Feb 2004 11:11:03 +0100

tdom (0.7.8-2) unstable; urgency=low

  * Removed debian doc system file which was creating problems.

 -- David N. Welton <davidw@debian.org>  Mon, 26 Jan 2004 22:13:25 +0100

tdom (0.7.8-1) unstable; urgency=low

  * Initial Release.

 -- David N. Welton <davidw@debian.org>  Mon, 26 Jan 2004 19:38:53 +0100
