=== debian/control ===
Source: tdom
Section: libs
Priority: optional
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Hector Romojaro <hromojaro@dia.uned.es>, Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>, Avni Khatri <avni321@gmail.com>, Carl Blesius <carl@blesius.org>
Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev (>= 8.4), libexpat1-dev
Standards-Version: 3.9.4
Homepage: http://tdom.github.io/
Vcs-Svn: svn://svn.debian.org/svn/pkg-tcltk/tdom/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-tcltk/tdom/

Package: tdom
Architecture: any
Depends: ${tclsh:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: fast XML/DOM/XPath/XSLT extension for Tcl written in C
 tDOM takes advantage of Expat, the XML parser from James Clark,
 including namesspace and DTD support. It includes a modified version
 of Tclexpat, the Tcl interface to Expat, and comes with a (partial)
 DOM-I and DOM-II implementation in C for maximum performance and minimum
 memory need. A very complete, compliant and fast XPath implementation
 is provided.  A fast XSLT implementation in C completes the feature
 set. Documentation is provided in TMML, HTML and nroff formats.

Package: tdom-dev
Section: libdevel
Architecture: any
Depends: tdom (= ${binary:Version}), ${misc:Depends}
Description: fast XML/DOM/XPath/XSLT extension for Tcl written in C (development files)
 This package contains the header files and development libraries for
 tDOM, a fast XML/DOM/XPath/XSLT extension for Tcl. tDOM takes
 advantage of Expat, the XML parser from James Clark. It comes with a
 (partial) DOM-I and DOM-II implementation in C for maximum performance
 and minimum memory need. A very complete, compliant and fast XPath
 implementation is provided.  A fast XSLT implementation in C
 completes the feature set.
