=== debian/watch ===
version=3
http://www.tdom.org/files/tDOM-(\d\.\d\.\d+).tgz
