## tdom 0.9.0

=== debian/changelog ===
tdom (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release: 0.9.0.

  [ Stefan Sobernig ]
  * Enable HTML5 (gumbo) support.
  * Corrected download URL in debian/watch.
  * Corrected upstream URL in debian/control.
  * Added to the debian/control descriptions (gumbo, JSON).
  * Override to dh_auto_test so that test suite is picked up correctly.
  * Add TEA test suite as Debian CI testsuite.

  [ Hector Romojaro ]
  * Multiarch support.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.1.0.
  * Hardening options.
  * Update maintainer (me) email address.
  * Cosmetic changes in tdom-dev package description.
  * Updated copyright file to copyright-format 1.0
  * Updated Uploaders control field

 -- Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>  Thu, 24 Aug 2017 13:42:46 +0200
