=== debian/control ===
Source: tdom
Section: libs
Priority: optional
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Hector Romojaro <hector.romojaro@gmail.com>, Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>
Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev (>= 8.4), libexpat1-dev, libgumbo-dev, pkg-config
Standards-Version: 4.1.0
Homepage: http://tdom.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-tcltk/tdom/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-tcltk/tdom/

Package: tdom
Architecture: any
Multi-Arch: same
Depends: ${tclsh:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: fast XML/DOM/XPath/XSLT/HTML/JSON extension for Tcl written in C
 tDOM takes advantage of Expat, the XML parser from James Clark,
 including namespace and DTD support. It includes a modified version
 of Tclexpat, the Tcl interface to Expat, and comes with a (partial)
 DOM-I and DOM-II implementation in C for maximum performance and minimum
 memory need. A very complete, compliant and fast XPath implementation
 is provided. A fast XSLT implementation in C completes the basic feature
 set. tDOM interfaces with the gumbo HTML5 parser and provides a robust
 JSON parser/ serializer for JSON-to-JSON roundtripping. Documentation is
 provided in TMML, HTML and nroff formats.

Package: tdom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: tdom (= ${binary:Version}), ${misc:Depends}
Description: header files and development libraries for tDOM
 tDOM is a fast XML/DOM/XPath/XSLT/HTML/JSON extension for Tcl written in C.
 tDOM takes advantage of Expat, the XML parser from James Clark,
 including namespace and DTD support. It includes a modified version
 of Tclexpat, the Tcl interface to Expat, and comes with a (partial)
 DOM-I and DOM-II implementation in C for maximum performance and minimum
 memory need. A very complete, compliant and fast XPath implementation
 is provided. A fast XSLT implementation in C completes the basic feature
 set. tDOM interfaces with the gumbo HTML5 parser and provides a robust
 JSON parser/ serializer for JSON-to-JSON roundtripping. Documentation is
 provided in TMML, HTML and nroff formats.
