=== debian/rules ===
--- 
+++ 
@@ -3,28 +3,23 @@
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
 
+# Hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Multiarch support
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 %:
 	dh  $@ --with autotools-dev
 
 # Obtaining the source
-version=0.8.3
-cvsdate=20080525
-cvspath=:pserver:anonymous@cvs.tdom.org:/usr/local/pubcvs
+version=0.9.0
 
-get-orig-source: get-orig-source-cvs
-
-get-orig-source-cvs:
-	CURDIR=$$(pwd) && \
-	TMPDIR=$$(mktemp -d /tmp/tdom.XXXXXX) && \
-	cd $$TMPDIR && \
-	cvs -q -d $(cvspath) -z9 co -D $(cvsdate)T23:59:59 tdom && \
-	find . -name CVS -print | xargs rm -rf && \
-	tar -zcf $$CURDIR/tdom_$(version)~$(cvsdate).orig.tar.gz . && \
-	rm -rf $$TMPDIR
+get-orig-source: get-orig-source-release
 
 get-orig-source-release:
-	wget -O tdom_0.8.2.orig.tar.gz \
-		http://www.tdom.org/files/tDOM-0.8.2.tgz
+	wget -O tdom_$(version).orig.tar.gz \
+		http://tdom.org/downloads/tdom-$(version)-src.tgz
 
 
 # These are used for cross-compiling and for saving the configure script
@@ -47,7 +42,7 @@
 
 VERSION=$(shell grep -m 1 AC_INIT configure.in | sed -e 's/AC_INIT(\[tdom\], \[//g' -e 's/\])//g')
 DEV=$(CURDIR)/debian/tdom-dev
-ARCH_DEPENDENT=$(CURDIR)/debian/tdom/usr/lib/tcltk
+ARCH_DEPENDENT=$(CURDIR)/debian/tdom/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_configure:
 	# Add here commands to configure the package.
@@ -56,11 +51,12 @@
 		--prefix=$(CURDIR)/debian/tdom/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--with-tcl=/usr/lib/ \
-		--libdir=\$${prefix}/lib/tcltk \
+		--with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
+		--libdir=\$${prefix}/lib/tcltk/$(DEB_HOST_MULTIARCH) \
 		--enable-threads \
 		--includedir=$(DEV)/usr/include/tdom \
-		--with-expat=/usr )
+		--with-expat=/usr \
+		--enable-html5 )
 
 	( cd extensions/tnc ; ./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
@@ -68,11 +64,10 @@
 		--prefix=$(CURDIR)/debian/tdom/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--with-tcl=/usr/lib/ \
-		--libdir=\$${prefix}/lib/tcltk \
+		--with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
+		--libdir=\$${prefix}/lib/tcltk/$(DEB_HOST_MULTIARCH) \
 		--enable-threads \
-		--includedir=$(DEV)/usr/include/tdom \
-		--with-expat=/usr )
+		--includedir=$(DEV)/usr/include/tdom )
 
 	( cd extensions/tdomhtml ; ./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
@@ -80,11 +75,8 @@
 		--prefix=$(CURDIR)/debian/tdom/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--with-tcl=/usr/lib/ \
-		--libdir=\$${prefix}/lib/tcltk \
-		--enable-threads \
-		--includedir=$(DEV)/usr/include/tdom \
-		--with-expat=/usr )
+		--libdir=\$${prefix}/lib/tcltk/$(DEB_HOST_MULTIARCH) \
+		--includedir=$(DEV)/usr/include/tdom )
 
 override_dh_auto_build: 
 	# Add here commands to compile the package.
@@ -129,24 +121,24 @@
 	# cp -R $(TARGET)/usr/include/tdom/* $(DEV)/usr/include/tdom
 
 	# move and fix tdomConfig.sh
-	install -d -m 755 -o root -g root $(DEV)/usr/lib/tcltk/tdom$(VERSION)
-	mv $(ARCH_DEPENDENT)/tdomConfig.sh $(DEV)/usr/lib/tcltk/tdom$(VERSION)/
+	install -d -m 755 -o root -g root $(DEV)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)
+	mv $(ARCH_DEPENDENT)/tdomConfig.sh $(DEV)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/
 
 	perl -i -p \
-	-e "s|^(TDOM_BUILD_STUB_LIB_SPEC)=.*$$|\1='-L/usr/lib/tcltk/tdom$(VERSION) -ltdomstub$(VERSION)'|;" \
-	-e "s|^(TDOM_BUILD_STUB_LIB_PATH)=.*$$|\1='/usr/lib/tcltk/tdom$(VERSION)/libtdomstub$(VERSION).a'|;" \
-	-e "s|^(TDOM_STUB_LIB_SPEC)=.*$$|\1='-L/usr/lib/tcltk/tdom$(VERSION) -ltdomstub$(VERSION)'|;" \
-	-e "s|^(TDOM_STUB_LIB_PATH)=.*$$|\1='/usr/lib/tcltk/tdom$(VERSION)/libtdomstub$(VERSION).a'|;" \
-	$(DEV)/usr/lib/tcltk/tdom$(VERSION)/tdomConfig.sh
+	-e "s|^(TDOM_BUILD_STUB_LIB_SPEC)=.*$$|\1='-L/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION) -ltdomstub$(VERSION)'|;" \
+	-e "s|^(TDOM_BUILD_STUB_LIB_PATH)=.*$$|\1='/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/libtdomstub$(VERSION).a'|;" \
+	-e "s|^(TDOM_STUB_LIB_SPEC)=.*$$|\1='-L/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION) -ltdomstub$(VERSION)'|;" \
+	-e "s|^(TDOM_STUB_LIB_PATH)=.*$$|\1='/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/libtdomstub$(VERSION).a'|;" \
+	$(DEV)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/tdomConfig.sh
 
-	install -d -m 755 -o root -g root $(DEV)/usr/lib/tcltk/tdom$(VERSION)
+	#install -d -m 755 -o root -g root $(DEV)/usr/lib/tcltk/tdom$(VERSION)
 
 	# `- provide symlinks 
-	(cd $(DEV)/usr/lib; \
-	ln -sf ../lib/tcltk/tdom$(VERSION)/tdomConfig.sh;)
+	(cd $(DEV)/usr/lib/$(DEB_HOST_MULTIARCH); \
+	ln -sf ../../lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/tdomConfig.sh;)
 
 	# move tDOM stub library
-	mv $(ARCH_DEPENDENT)/tdom$(VERSION)/*.a $(DEV)/usr/lib/tcltk/tdom$(VERSION)/
+	mv $(ARCH_DEPENDENT)/tdom$(VERSION)/*.a $(DEV)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
@@ -155,3 +147,5 @@
 	dh_installdeb
 	tcltk-depends
 
+override_dh_auto_test:
+	(cd unix/; $(MAKE) test)
