## tdom 0.9.1

=== debian/changelog ===
tdom (0.9.1-1) unstable; urgency=medium

  [Stefan Sobernig]
  * debian/control: Bump tcl-dev build dependency to tcl-dev >= 8.5
  * debian/control: Extended package descriptions to reflect StAX feature.

  [Hector Romojaro]
  * New upstream release: 0.9.1
  * Fix email address in Copyright
  * Clean trailing whitespace
  * Use https in copyright file format url
  * Update Vcs-* lines in control file
  * Use debhelper 11 compatibility mode.
  * Bump Standards-Version to 4.1.5.
  * Remove obsolete autotools-dev from rules
  * Remove obsolete get-orig-source-release from rules
  * Remove obsolete compiler options from rules
  * Add nocheck option in dh_auto_test
  * Cleanup of unused patches
  * Update package description

 -- Hector Romojaro <hector.romojaro@gmail.com>  Sun, 22 Jul 2018 21:04:46 +0200
