=== debian/rules ===
--- 
+++ 
@@ -10,33 +10,15 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh  $@ --with autotools-dev
+	dh  $@
 
 # Obtaining the source
 version=0.9.0
-
-get-orig-source: get-orig-source-release
-
-get-orig-source-release:
-	wget -O tdom_$(version).orig.tar.gz \
-		http://tdom.org/downloads/tdom-$(version)-src.tgz
-
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
 
 # Extract version information from autoconf meta-data
 
@@ -78,7 +60,7 @@
 		--libdir=\$${prefix}/lib/tcltk/$(DEB_HOST_MULTIARCH) \
 		--includedir=$(DEV)/usr/include/tdom )
 
-override_dh_auto_build: 
+override_dh_auto_build:
 	# Add here commands to compile the package.
 	( cd unix ; $(MAKE) )
 	( cd extensions/tnc ; $(MAKE) )
@@ -86,8 +68,8 @@
 	#/usr/bin/docbook-to-man debian/tdom.sgml > tdom.1
 	touch build-stamp
 
-override_dh_clean: 
-	rm -f build-stamp 
+override_dh_clean:
+	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
 	-( cd unix; [ ! -f Makefile ] || $(MAKE) distclean; )
@@ -133,7 +115,7 @@
 
 	#install -d -m 755 -o root -g root $(DEV)/usr/lib/tcltk/tdom$(VERSION)
 
-	# `- provide symlinks 
+	# `- provide symlinks
 	(cd $(DEV)/usr/lib/$(DEB_HOST_MULTIARCH); \
 	ln -sf ../../lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/tdomConfig.sh;)
 
@@ -142,10 +124,12 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
-	
+
 override_dh_installdeb:
 	dh_installdeb
 	tcltk-depends
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	(cd unix/; $(MAKE) test)
+endif
