## tdom 0.9.2

=== debian/changelog ===
tdom (0.9.2-1) unstable; urgency=medium

  [Hector Romojaro]
  * New upstream release: 0.9.2
  * Update license to MPL-2.0
  * Update expat copyright
  * Fix xmlsimple and domhtml license/copyright
  * Update standards to 4.5.1, no changes
  * Update watch file to version 4, no changes
  * Use debhelper 13 compatibility mode
  * Remove obsolete version from rules
  * Adjust for renamed upstream files (README and configure.in)
  * Upstream fix for FTCBFS: hard codes the wrong pkg-config (Closes: #919343)
  * Whitespace changes

 -- Hector Romojaro <hector.romojaro@gmail.com>  Thu, 21 Jan 2021 15:41:26 +0100
