=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Hector Romojaro <hector.romojaro@gmail.com>, Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>
-Build-Depends: debhelper (>= 11), tcl-dev (>= 8.5), libexpat1-dev, libgumbo-dev, pkg-config
-Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 13), tcl-dev (>= 8.5), libexpat1-dev, libgumbo-dev, pkg-config
+Standards-Version: 4.5.1
 Homepage: http://tdom.org/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/tdom
 Vcs-Git: https://salsa.debian.org/tcltk-team/tdom.git
-
 
 Package: tdom
 Architecture: any
