## tdom 0.9.3

=== debian/changelog ===
tdom (0.9.3-1build1) noble; urgency=medium

  * No-change rebuild against libgumbo2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 28 Oct 2023 03:02:30 +0000

tdom (0.9.3-1) unstable; urgency=medium

  [Hector Romojaro]
  * New upstream release: 0.9.3
  * Remove debian/compat in favor of build-depends debhelper-compat
  * Bump Standards-Version to 4.6.1
  * Added files with long lines to lintian-overrides
  * Updated copyright file

 -- Hector Romojaro <hector.romojaro@gmail.com>  Mon, 29 Aug 2022 09:54:41 +0200
