=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: tdom
 Section: libs
 Priority: optional
-Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Hector Romojaro <hector.romojaro@gmail.com>, Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>
-Build-Depends: debhelper (>= 13), tcl-dev (>= 8.5), libexpat1-dev, libgumbo-dev, pkg-config
-Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 13), tcl-dev (>= 8.5), libexpat1-dev, libgumbo-dev, pkg-config, debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Homepage: http://tdom.org/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/tdom
 Vcs-Git: https://salsa.debian.org/tcltk-team/tdom.git
