=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 %:
 	dh  $@
 
-# Obtaining the source
-version=0.9.0
-
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -22,7 +19,7 @@
 
 # Extract version information from autoconf meta-data
 
-VERSION=$(shell grep -m 1 AC_INIT configure.in | sed -e 's/AC_INIT(\[tdom\], \[//g' -e 's/\])//g')
+VERSION=$(shell grep -m 1 AC_INIT configure.ac | sed -e 's/AC_INIT(\[tdom\], \[//g' -e 's/\])//g')
 DEV=$(CURDIR)/debian/tdom-dev
 ARCH_DEPENDENT=$(CURDIR)/debian/tdom/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
