## tdom 0.9.4

=== debian/changelog ===
tdom (0.9.4-1) unstable; urgency=medium

  [Hector Romojaro]
  * New upstream version 0.9.4
  * Depend on pgconf instead of pkg-config
  * Update standards to 4.7.0, no changes
  * Added two files with long lines to lintian-overrides
  * Updated copyright file

 -- Hector Romojaro <hector.romojaro@gmail.com>  Mon, 29 Jul 2024 15:36:49 +0200
