## tdom 0.9.5

=== debian/changelog ===
tdom (0.9.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on tcl-dev (>= 8.5).

  [ Hector Romojaro ]
  * New upstream version 0.9.5

 -- Hector Romojaro <hector.romojaro@gmail.com>  Thu, 17 Oct 2024 21:02:11 +0200
