=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Hector Romojaro <hector.romojaro@gmail.com>, Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>
-Build-Depends: debhelper (>= 13), tcl-dev (>= 8.5), libexpat1-dev, libgumbo-dev, pkgconf, debhelper-compat (= 13)
+Build-Depends: debhelper (>= 13), tcl-dev, libexpat1-dev, libgumbo-dev, pkgconf, debhelper-compat (= 13)
 Standards-Version: 4.7.0
 Homepage: http://tdom.org/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/tdom
