=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # Extract version information from autoconf meta-data
 
-VERSION=$(shell grep -m 1 AC_INIT configure.ac | sed -e 's/AC_INIT(\[tdom\], \[//g' -e 's/\])//g')
+VERSION=$(shell grep -m 1 AC_INIT configure.ac | sed -e 's/AC_INIT(\[tdom\],\[//g' -e 's/\])//g')
 DEV=$(CURDIR)/debian/tdom-dev
 ARCH_DEPENDENT=$(CURDIR)/debian/tdom/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
