## tdom 0.9.5.1

=== debian/changelog ===
tdom (0.9.5.1-2) unstable; urgency=medium

  [ Hector Romojaro ]
  * Fix tdomConfig.sh link creation
    (Closes: #1048527)
  * Update standards to 4.7.2, no changes
  * Enable 'test-build-twice' on Salsa CI

 -- Hector Romojaro <hector.romojaro@gmail.com>  Thu, 27 Feb 2025 11:32:33 +0100

tdom (0.9.5.1-1) unstable; urgency=medium

  * Bump version number to 0.9.5.1 to avoid conflicts in the archive, as the
    original tarball for 0.9.5 was repacked upstream to include missing files.

 -- Hector Romojaro <hector.romojaro@gmail.com>  Wed, 26 Feb 2025 10:59:05 +0100

tdom (0.9.5-2) unstable; urgency=medium

  [ Hector Romojaro ]
  * Rebuilt tarball, as upstream repacked it with missing files.
  * Update standards to 4.7.1, no changes

 -- Hector Romojaro <hector.romojaro@gmail.com>  Fri, 21 Feb 2025 14:22:34 +0100

tdom (0.9.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089451)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 16:59:13 +0000
