=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Hector Romojaro <hector.romojaro@gmail.com>, Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>
 Build-Depends: debhelper (>= 13), tcl-dev, libexpat1-dev, libgumbo-dev, pkgconf, debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: http://tdom.org/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/tdom
 Vcs-Git: https://salsa.debian.org/tcltk-team/tdom.git
