=== debian/rules ===
--- 
+++ 
@@ -100,7 +100,7 @@
 	# cp -R $(TARGET)/usr/include/tdom/* $(DEV)/usr/include/tdom
 
 	# move and fix tdomConfig.sh
-	install -d -m 755 -o root -g root $(DEV)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)
+	install -d -m 755 $(DEV)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)
 	mv $(ARCH_DEPENDENT)/tdomConfig.sh $(DEV)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/
 
 	perl -i -p \
@@ -109,12 +109,12 @@
 	-e "s|^(TDOM_STUB_LIB_SPEC)=.*$$|\1='-L/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION) -ltdomstub$(VERSION)'|;" \
 	-e "s|^(TDOM_STUB_LIB_PATH)=.*$$|\1='/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/libtdomstub$(VERSION).a'|;" \
 	$(DEV)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/tdomConfig.sh
-
-	#install -d -m 755 -o root -g root $(DEV)/usr/lib/tcltk/tdom$(VERSION)
-
-	# `- provide symlinks
-	(cd $(DEV)/usr/lib/$(DEB_HOST_MULTIARCH); \
-	ln -sf ../../lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/tdomConfig.sh;)
+	#
+	# Wrapper for tdomConfig on /usr/lib/$(DEB_HOST_MULTIARCH)
+	#
+	sed -i "s/TDOM_VERSION/$(VERSION)/" $(CURDIR)/debian/tdomConfig.sh
+	install -d -m 755 $(DEV)/usr/lib/$(DEB_HOST_MULTIARCH)
+	install $(CURDIR)/debian/tdomConfig.sh $(DEV)/usr/lib/$(DEB_HOST_MULTIARCH)/
 
 	# move tDOM stub library
 	mv $(ARCH_DEPENDENT)/tdom$(VERSION)/*.a $(DEV)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tdom$(VERSION)/
