## tdom 0.9.6

=== debian/changelog ===
tdom (0.9.6-2) unstable; urgency=medium

  [ Hector Romojaro ]
  * Use newly available https URL in watch file
  * Update debian/copyright
  * New debian/lrc.config with licenserecon false positives

 -- Hector Romojaro <hector.romojaro@gmail.com>  Sun, 31 Aug 2025 12:53:41 +0200

tdom (0.9.6-1) unstable; urgency=medium

  [ Hector Romojaro ]
  * New upstream version 0.9.6
    (Closes: #1097980)
  * Remove unused lintian override
  * Updated debian/copyright

 -- Hector Romojaro <hector.romojaro@gmail.com>  Wed, 20 Aug 2025 10:57:39 +0200

tdom (0.9.5.1-3) unstable; urgency=medium

  [ Hector Romojaro ]
  * Remove build-stamp and debian/rules cleanup
  * Fix FSF address on copyright file

  [ Sergei Golovan ]
  * Build two sets of libraries, one for Tcl 8.6 and another for Tcl 9.0.
    (Closes: #1101146)

 -- Hector Romojaro <hector.romojaro@gmail.com>  Sat, 05 Apr 2025 11:39:00 +0200
