=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Hector Romojaro <hector.romojaro@gmail.com>, Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>
-Build-Depends: debhelper (>= 13), tcl-dev, libexpat1-dev, libgumbo-dev, pkgconf, debhelper-compat (= 13)
+Build-Depends: debhelper (>= 13), tcl-dev, tcl8.6-dev, tcl9.0-dev, libexpat1-dev, libgumbo-dev, pkgconf, debhelper-compat (= 13)
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: http://tdom.org/
@@ -14,6 +14,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${tclsh:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: tcl-tdom (= ${binary:Version}), tcl8.6-tdom (= ${binary:Version}), tcl9.0-tdom (= ${binary:Version})
 Description: fast XML/DOM/XPath/XSLT/HTML/JSON extension for Tcl written in C
  tDOM takes advantage of Expat, the XML parser from James Clark,
  including namespace and DTD support. It includes a modified version
