=== debian/tests/control ===
Test-Command: tclsh tests/all.tcl -constraints longRunning
